<?php

/* Klasa do obsługi bazy danych - FK - 10.02.2014 */

class db {

	public $result;
	public $queries = 0;
	private $connection;
	private $database;
	// private $cache;
	public $last_error;
	// public $cache_enabled = true;
	public $logs_enabled = false;


	function __construct($dbhost = false, $dbuser = false, $dbpass = false, $dbname = false, $dbcharset = 'utf8') {

		if(!$dbhost) return false;

		$this->connection = @new mysqli($dbhost, $dbuser, $dbpass, $dbname);
		$this->query("SET NAMES '".$dbcharset."'");

		return boolval($this->connection);

	}


	function __destruct() {
		@mysqli_close($this->connection);
	}


	function where2condition($where) {
		$condition = array();
		if(!$where) $condition = '1 = 1';
		elseif(is_array($where) && count($where) > 0) {
			foreach($where as $key => $value) {
				if(is_array($value)) $condition[] = "`".$key."` IN ('".implode("','", $value)."')";
				else $condition[] = "`".$key."` = '".$this->escape($value)."'";
			}
			$condition = implode(' AND ', $condition);
		}
		else $condition = $where;
		return $condition;
	}


	function query($query) {

		$this->queries++;

		$time_before = microtime(true);
		$this->result = $this->connection->query($query);
		if($this->connection->error) {
			//echo $query;
			$this->last_error = $this->connection->error;
			//echo $this->last_error;
			return $this->last_error;
		}
		$time_after = microtime(true);

		if($this->result) return $this->result;
		else return false;

	}


	function fetch_array($result) {
		return @mysqli_fetch_array($result);
	}


	function fetch_assoc($result) {
		return @mysqli_fetch_assoc($result);
	}


	function num_rows($result) {
		return @mysqli_num_rows($result);
	}


	function insert($table, $values) {
		foreach($values as $key => $value) {
			$values[$key] = str_replace("'", '&apos;', $value);
		}
		$keys = implode("`, `", array_keys($values));
		$values = implode("', '", array_values($values));
		return $this->query("INSERT INTO `".$table."` (`".$keys."`) VALUES ('".$values."')");
	}


	function inserted_id() {
		return $this->connection->insert_id;
	}


	function affected_rows() {
		return $this->connection->affected_rows;
	}


	function update($table, $values, $where = '') {
		$fields = array();
		if(count($values) > 0) {
			foreach($values as $key => $value) {
				$fields[] = "`".$key."` = '".str_replace("'", '&apos;', $value)."'";
			}
		}
		$fields = implode(', ', $fields);
		$condition = $this->where2condition($where);
		return $this->query("UPDATE `".$table."` SET ".$fields." WHERE ".$condition);
	}


	function delete($table, $where) {
		$condition = $this->where2condition($where);
		return $this->query("DELETE FROM `".$table."` WHERE ".$condition);
	}


	function get_var($table, $col, $where, $order = '') {
		$hash = md5(json_encode($table).json_encode($col).json_encode($where).$order);
		// if($this->cache[$hash] && $this->cache_enabled) return $this->cache[$hash];
		$condition = $this->where2condition($where);
		$row = $this->get_result($table, $where, array($col), $order);
		return $row[$col];
		// $this->cache[$hash] = $row[$col];
		// return $this->cache[$hash];
	}


	function get_result($table, $where = '', $cols = array(), $order = '') {
		$results = $this->get_results($table, $where, $order, 1, 0, $cols);
		return (isset($results[0])) ? $results[0] : false;
	}


	function get_results($table, $where = '', $order = '', $limit = 0, $from = 0, $cols = array()) {
		if(is_array($cols) && count($cols) > 0) {
			foreach($cols as $col) {
				$columns[] = "`".$col."`";
			}
			$cols = implode(', ', $columns);
		}
		else $cols = "*";
		$query = "SELECT ".$cols." FROM `".$table."`";
		if($where) {
			$condition = $this->where2condition($where);
			$query .= " WHERE ".$condition;
		}
		if($order) $query .= " ORDER BY ".$order;
		if($limit > 0) $query .= " LIMIT ".$from.", ".$limit;
		$array = array();
		$query = $this->query($query);
		while($row = $this->fetch_assoc($query)) {
			$array[] = $row;
		}
		return $array;
	}


	function get_query_results($query) {
		$array = array();
		$query = $this->query($query);
		while($row = $this->fetch_assoc($query)) {
			$array[] = $row;
		}
		return $array;
	}


	function count($table, $where = '') {
		$hash = md5(json_encode($table).json_encode($where));
		// if($this->cache[$hash]) return $this->cache[$hash];
		$query = "SELECT COUNT(*) FROM `".$table."`";
		if($where) {
			$condition = $this->where2condition($where);
			$query .= " WHERE ".$condition;
		}
		$n = $this->fetch_array($this->query($query));
		// $this->cache[$hash] = $n[0];
		return intval($n[0]);
	}


	function get_list($table, $col_key, $col_value, $where = '', $ids = false) {
		$items = $this->get_results($table, $where, '`'.$col_key.'` ASC', 0, 0, array($col_key, $col_value));
		foreach($items as $item) $array[$item[$col_key]] = ($ids) ? $item[$col_key].': '.$item[$col_value] : $item[$col_value];
		return $array;
	}
	
	
	function escape($string) {
		return mysqli_real_escape_string($this->connection, $string);
	}


	function get_num_queries() {
		return $this->queries;
	}


}

