<?php

switch($action):

    case 'login':

        if(isset($_POST['email']) && isset($_POST['password'])) {

            if($app->login($_POST['email'], $_POST['password'])) $app->redirect($_POST['redirect'] ? $_POST['redirect'] : URL);
            else $error = true;

        }

    break;

    case 'logout':

        session_destroy();
        $app->redirect(URL);

    break;

    case 'list':

        if(!$app->is_logged()) $app->redirect(URL.'?action=login');

        $page = isset($_GET['page']) ? intval($_GET['page']) : 1;

        if(isset($_GET['search'])) {
            $posts = $app->search_threads($_GET['search'], PER_PAGE, $page);
            $count_all = $app->search_threads($_GET['search'], COUNT);
        }
        else {
            $posts = $app->get_latest(PER_PAGE, $page);
            $count_all = $app->get_latest(COUNT);
        }

        $max_pages = ceil($count_all/PER_PAGE);

        $canPost = true;

        $setEmail = $app->is_logged() ? $_SESSION['admin'] : '';

    break;

    case 'view':

        if(isset($_GET['key'])) {

            $isAdmin = isset($_SESSION['admin']) ? boolval($_SESSION['admin']) : false;

            $threadId = $app->get_id_by_key($_GET['key']);
            
            if(isset($_GET['close']) && $isAdmin) {
                $app->close($threadId);
                $app->redirect(URL.'?action=view&key='.$_GET['key'].'#last');
            }
            elseif(isset($_GET['open']) && $isAdmin) {
                $app->open($threadId);
                $app->redirect(URL.'?action=view&key='.$_GET['key'].'#last');
            }

            if(isset($_POST['change_priority']) && $isAdmin) $app->change_priority($threadId, $_POST['change_priority']);

            $posts = $app->get_thread($threadId);
            $opEmail = $posts[0]['email'];
            $canView = $app->can_view($posts[0]);
            $canPost = $canView; // to do
    
            $setEmail = $app->is_logged() ? $_SESSION['admin'] : $opEmail;

            if(!$canView) $app->redirect(URL.'?action=login&redirect='.urlencode($current_url), 3);

        }
        else $error = true;

    break;

    case 'post':

        if($_POST['text'] && $_POST['email']) {

            $id = ($_POST['key']) ? $app->get_id_by_key($_POST['key']) : 0;
            $text = $_POST['text'];
            $email = $_POST['email'];

            if($_FILES['attachments']) $files = $app->upload_files($_FILES['attachments']);
            else $files = false;

            $insertedId = $app->reply($id, $text, $email, $files);
            $redirectId = $id ? $id : $insertedId;

            $redirectKey = $app->get_key_by_id($redirectId);
            $redirectUrl = URL.'?action=view&key='.$redirectKey;

            if(!isset($_SESSION['admin'])) $redirectUrl .= '&hash='.$app->get_hash_by_id($redirectId);

            $redirectUrl .= '#last';
            $app->redirect($redirectUrl);

            $success = true;

        }

        else {

            $error = true;

        }

    break;

    default:

        if(isset($_SESSION['admin'])) $app->redirect(URL.'?action=list');
        else $app->redirect(URL.'?action=login');

    break;

endswitch;