<div class="medium-box card my-2">

    <div class="card-body py-2 px-3">

        <form action="<?= URL ?>" method="get">

            <input type="hidden" name="action" value="list" />

            <div class="row align-items-center">

                <div class="col col-md-3 col-lg-3">
                    <input type="text" name="search" class="form-control" value="<?php if(isset($_GET['search'])): ?><?= $app->tpl_escape($_GET['search']) ?><?php endif; ?>" placeholder="Wpisz tekst" />
                </div>

                <div class="col-5 col-sm col-md-2 col-lg-2">
                    <button class="btn btn-primary w-100 orange-gradient text-uppercase" type="submit">Szukaj</button>
                </div>

                <div class="d-block d-md-none w-100 clearfix py-1"></div>

                <?php if(isset($_GET['search'])): ?>
                <div class="col col-sm-8 col-md text-lg-right">
                    <p class="my-1">Wyświetlanie wątków zawierających: <span class="d-inline font-weight-bold font-italic"><?= $app->tpl_escape($_GET['search']) ?></span></p>
                </div>
                <div class="col-4 col-sm col-md-2 col-lg-2">
                    <a href="<?= URL ?>/?action=list" class="btn btn-secondary w-100">Wróć</a>
                </div>
                <?php endif; ?>

            </div>

        </form>

    </div>

</div>

<?php if($posts): ?>

    <div class="posts threads-list">

    <?php foreach($posts as $n => $post): ?>

        <div class="single-post card p-3 p-md-4<?php if($post['status'] == $app->status['closed']): ?> thread-closed<?php endif; ?>"<?php end($posts); if($n == key($posts)): ?> id="last"<?php endif; ?>>

            <div class="row mb-2">
                <div class="col">
                    <h2 class="card-title mb-1"><?= $post['email'] ?></h2>
                    <h3 class="small text-muted"><?= date('d.m.Y H:i', $post['last_post_time']) ?></h3>
                </div>
                <?php if(isset($_SESSION['admin'])): ?>
                <div class="col small text-right">
                    <?php if($post['status'] != $app->status['closed']): ?>
                    Priorytet: <span class="priority-status priority-<?= $post['priority'] ?>"><?php for($i = 1; $i <= $post['priority']; $i++): ?>&nbsp;&#11044;<?php endfor; ?></span>
                    <br />
                    <?php endif; ?>
                    Status: <?php if($post['status'] == $app->status['closed']): ?><span class="status-closed text-muted">zamknięty</span><?php else: ?><span class="status-open text-orange font-weight-bold">otwarty</span><?php endif; ?>
                </div>
                <?php endif; ?>
            </div>
            <div class="text small"><?= $app->cut_text($post['last_post_text'], 500) ?></div>
            <div class="text-right"><a href="<?= URL.'?action=view&key='.$post['key'] ?>" class="btn btn-primary btn-sm">Czytaj dalej &raquo;</a></div>

        </div>

    <?php endforeach; ?>

    <?php if($max_pages > 1): ?>
    <?php include(PATH.'templates/parts/pagination.php'); ?>
    <?php endif; ?>

    </div>

    <?php if($canPost): ?>

    <div class="form-post-outer medium-box card p-3 my-2">

        <h3 class="border-bottom border-secondary pb-2 mb-3">Nowe zgłoszenie</h3>

        <form action="<?= URL ?>?action=post" method="post" enctype="multipart/form-data">

            <div class="row align-items-center">

                <div class="col-12 col-sm-12 col-md-5 order-md-1">
                    <input type="email" value="<?= $setEmail ?>" name="email" placeholder="Wpisz adres e-mail" class="form-control w-100 mb-3"<?php if($setEmail): ?> readonly<?php endif; ?> required />
                </div>

                <div class="col-12 col-sm-12 order-md-last">
                    <textarea class="form-control mb-3 mb-md-0" rows="4" cols="10" name="text" placeholder="Wpisz odpowiedź" required></textarea>
                </div>

                <div class="col-12 col-sm-6 col-md-4 order-md-2">
                    <input type="file" name="attachments[]" class="w-100 mb-md-3" accept="image/*,video/*,.pdf,.doc,.txt" multiple />
                </div>

                <div class="col-12 col-sm-6 col-md-3 order-md-3 pt-3 pt-sm-0">
                    <button class="btn btn-primary w-100 mb-md-3 orange-gradient text-uppercase" type="submit">Wyślij</button>
                </div>

            </div>

        </form>

    </div>

    <?php endif; ?>

<?php endif; ?>